local _, ns = ...
local L = ns.locale;

ns.options = {
    type = "group",
    name = L["options_title"],
    get = function(info) return ns.addon.db.profile[info.arg] end,
    set = function(info, v) ns.addon.db.profile[info.arg] = v; ns.addon:Refresh() end,
    args = {
        IconOptions = {
            type = "group",
            name = L["options_icon_settings"],
            desc = L["options_icon_settings_desc"],
            inline = true,
            order = 0,
            args = {
                groupIconTreasures = {
                    type = "header",
                    name = L["options_icons_treasures"],
                    desc = L["options_icons_treasures_desc"],
                    order = 0,
                },
                icon_scale_treasures = {
                    type = "range",
                    name = L["options_scale"],
                    desc = L["options_scale_desc"],
                    min = 0.25, max = 10, step = 0.01,
                    arg = "icon_scale_treasures",
                    order = 1,
                },
                icon_alpha_treasures = {
                    type = "range",
                    name = L["options_opacity"],
                    desc = L["options_opacity_desc"],
                    min = 0, max = 1, step = 0.01,
                    arg = "icon_alpha_treasures",
                    order = 2,
                },
                groupIconRares = {
                    type = "header",
                    name = L["options_icons_rares"],
                    desc = L["options_icons_rares_desc"],
                    order = 10,
                },
                icon_scale_rares = {
                    type = "range",
                    name = L["options_scale"],
                    desc = L["options_scale_desc"],
                    min = 0.25, max = 10, step = 0.01,
                    arg = "icon_scale_rares",
                    order = 11,
                },
                icon_alpha_rares = {
                    type = "range",
                    name = L["options_opacity"],
                    desc = L["options_opacity_desc"],
                    min = 0, max = 1, step = 0.01,
                    arg = "icon_alpha_rares",
                    order = 12,
                },
                groupIconPets = {
                    type = "header",
                    name = L["options_icons_pet_battles"],
                    desc = L["options_icons_pet_battles_desc"],
                    order = 20,
                },
                icon_scale_pets = {
                    type = "range",
                    name = L["options_scale"],
                    desc = L["options_scale_desc"],
                    min = 0.25, max = 10, step = 0.01,
                    arg = "icon_scale_pets",
                    order = 21,
                },
                icon_alpha_pets = {
                    type = "range",
                    name = L["options_opacity"],
                    desc = L["options_opacity_desc"],
                    min = 0, max = 1, step = 0.01,
                    arg = "icon_alpha_pets",
                    order = 22,
                },
                groupIconCaves = {
                    type = "header",
                    name = L["options_icons_caves"],
                    desc = L["options_icons_caves_desc"],
                    order = 30,
                },
                icon_scale_caves = {
                    type = "range",
                    name = L["options_scale"],
                    desc = L["options_scale_desc"],
                    min = 0.25, max = 10, step = 0.01,
                    arg = "icon_scale_caves",
                    order = 31,
                },
                icon_alpha_caves = {
                    type = "range",
                    name = L["options_opacity"],
                    desc = L["options_opacity_desc"],
                    min = 0, max = 1, step = 0.01,
                    arg = "icon_alpha_caves",
                    order = 32,
                },
                groupIconOther = {
                    type = "header",
                    name = L["options_icons_other"],
                    desc = L["options_icons_other_desc"],
                    order = 33,
                },
                icon_scale_other = {
                    type = "range",
                    name = L["options_scale"],
                    desc = L["options_scale_desc"],
                    min = 0.25, max = 10, step = 0.01,
                    arg = "icon_scale_other",
                    order = 34,
                },
                icon_alpha_other = {
                    type = "range",
                    name = L["options_opacity"],
                    desc = L["options_opacity_desc"],
                    min = 0, max = 1, step = 0.01,
                    arg = "icon_alpha_other",
                    order = 35,
                },
            },
        },
        VisibilityGroup = {
            type = "group",
            order = 10,
            name = L["options_visibility_settings"],
            desc = L["options_visibility_settings_desc"],
            inline = true,
            args = {
                groupGeneral = {
                    type = "header",
                    name = L["options_general_settings"],
                    desc = L["options_general_settings_desc"],
                    order = 30,
                },
                alwaysshowrares = {
                    type = "toggle",
                    arg = "alwaysshowrares",
                    name = L["options_toggle_alreadylooted_rares"],
                    desc = L["options_toggle_alreadylooted_rares_desc"],
                    order = 31,
                    width = "full",
                },
                alwaysshowtreasures = {
                    type = "toggle",
                    arg = "alwaysshowtreasures",
                    name = L["options_toggle_alreadylooted_treasures"],
                    desc = L["options_toggle_alreadylooted_treasures_desc"],
                    order = 32,
                    width = "full",
                },
                hideKnownLoot = {
                    type = "toggle",
                    arg = "hideKnownLoot",
                    name = L["options_toggle_hideKnownLoot"],
                    desc = L["options_toggle_hideKnownLoot_desc"],
                    order = 35,
                    width = "full",
                },
                hideMinimapIcons = {
                    type = "toggle",
                    arg = "hideMinimapIcons",
                    name = L["options_toggle_hideMinimapIcons"],
                    desc = L["options_toggle_hideMinimapIcons_desc"],
                    order = 36,
                    width = "full",
                },
            },
        },
        TooltipGroup = {
            type = "group",
            order = 20,
            name = L["options_tooltip_settings"],
            desc = L["options_tooltip_settings_desc"],
            inline = true,
            args = {
                show_loot = {
                    type = "toggle",
                    arg = "show_loot",
                    name = L["options_toggle_show_loot"],
                    desc = L["options_toggle_show_loot_desc"],
                    order = 102,
                },
                show_notes = {
                    type = "toggle",
                    arg = "show_notes",
                    name = L["options_toggle_show_notes"],
                    desc = L["options_toggle_show_notes_desc"],
                    order = 103,
                },
            },
        },
        GeneralGroup = {
            type = "group",
            order = 30,
            name = L["options_general_settings"],
            desc = L["options_general_settings_desc"],
            inline = true,
            args = {
                show_debug = {
                    type = "toggle",
                    arg = "show_debug",
                    name = L["options_toggle_show_debug"],
                    desc = L["options_toggle_show_debug_desc"],
                    order = 102,
                },
            },
        },
    },
};

ns.optionDefaults = {
    profile = {
        icon_scale_treasures = 1,
        icon_scale_rares = 1,
        icon_scale_caves = 1,
        icon_scale_pets = 1,
        icon_scale_other = 1,
        icon_alpha_treasures = 0.75,
        icon_alpha_rares = 0.75,
        icon_alpha_caves = 0.75,
        icon_alpha_pets = 1.0,
        icon_alpha_other = 1.0,
        alwaysshowrares = false,
        alwaysshowtreasures = false,
        show_loot = true,
        show_notes = true,
        show_debug = false,
    },
};
